🎉 A high quality component library built on Vue.js 2.0

Overview

dao-style

dao-style NPM downloads

A high quality component library built on Vue.js.

English | 简体中文

Docs

latest

Who's using dao-style

If you are also using dao-style, please click here to tell us.

Install

Using npm:

npm install dao-style-vue --save

Using html tag:

<script type="text/javascript" src="dao-style.min.js"></script>
<link rel="stylesheet" href="dist/styles/dao-style.css">

Usage

import daoStyle from 'dao-style-vue';
import 'dao-style-vue/styles/dao-style.css';

Vue.use(daoStyle);
<template>
  <dao-input v-model="value"></dao-input>
</template>
<script>
  export default {
    data () {
      return {
        value: 'hello dao-style'
      };
    },
  }
</script>

Compatibility

Browser Version
Chrome 30
Safari 10
Firefox 28
IE 11

Community

If you want to contribute or have questions or bugs to report:

Questions: Issues

Bugs: Report bugs

Contribute: How to contribute

License

MIT

Copyright (c) 2016-present, DaoCloud

Comments
  • feature(info-card): 初步完成info-card

    feature(info-card): 初步完成info-card

    步骤一

    请您按照规范确认这个PR的类型:

    • [x] feature/fix/docs PR
    • [ ] hotfix PR
    • [ ] release PR

    步骤二

    完成以下内容的填写,您就可以顺利提交 Pull Request:

    1. 填写Pull Reqeust主要针对的类型于下一行,选项有:bug/feature(特性)/enhancement(增强)/docs(文档) feature

    2. Pull Request的简要介绍(请填于下一行) info-card组件

    3. Pull Request针对问题的重现方式(没有请在下一行填“无”)

    4. Pull Request可能涉及到的组件范围(没有请在下一行填“无”)

    opened by bigflybrother 35
  • Feat/clipboard

    Feat/clipboard

    步骤一

    请您按照规范确认这个PR的类型:

    • [x] feature/docs PR

    步骤二

    完成以下内容的填写,您就可以顺利提交 Pull Request:

    1. 填写Pull Reqeust主要针对的类型于下一行,选项有:bug/feature(特性)/enhancement(增强)/docs(文档) feature & docs

    2. Pull Request的简要介绍(请填于下一行)

    • 添加 dao-copy-block 的文档
    • 添加 dao-copy-block 组件代码 fixes https://github.com/DaoCloud/dao-style-vue/issues/120

    3. Pull Request针对问题的重现方式(没有请在下一行填“无”)

    4. Pull Request可能涉及到的组件范围(没有请在下一行填“无”) clipboard

    opened by mimoning 15
  • [Proposal] 统一所有行内组件的 vertical-align 的值

    [Proposal] 统一所有行内组件的 vertical-align 的值

    我发现 dao-btn 是自带 vertical-align: middle 的,但是其他的行内组件像 input 和 select 就没有自带 vertical-align: middle。这样就会导致行内组件在一起用的时候对不齐,要专门调整 vertical-align 的值。每个地方都这样做就会非常麻烦而且乱。最好是都不要自带 vertical-align。

    opened by tanbowensg 13
  • feature(dao-svg): add svg

    feature(dao-svg): add svg

    步骤一

    请您按照规范确认这个PR的类型:

    • [x] feature/fix/docs PR

    步骤二

    完成以下内容的填写,您就可以顺利提交 Pull Request:

    1. 填写Pull Reqeust主要针对的类型于下一行,选项有:bug/feature(特性)/enhancement(增强)/docs(文档)

    feature

    2. Pull Request的简要介绍(请填于下一行)

    • 添加全部 svg
    • 添加 svg demo 页面
    • fix #173
    • fix #56

    3. Pull Request针对问题的重现方式(没有请在下一行填“无”)

    4. Pull Request可能涉及到的组件范围(没有请在下一行填“无”)

    opened by vivian-xu 13
  • editable-table 添加了验证的功能

    editable-table 添加了验证的功能

    步骤一

    请您按照规范确认这个PR的类型:

    • [x] feature/docs

    步骤二

    完成以下内容的填写,您就可以顺利提交 Pull Request:

    1. 填写Pull Reqeust主要针对的类型于下一行,选项有:bug/feature(特性)/enhancement(增强)/docs(文档) feature

    2. Pull Request的简要介绍(请填于下一行) editable-table 添加了验证的功能 fix https://github.com/DaoCloud/dao-style-vue/issues/100

    3. Pull Request针对问题的重现方式(没有请在下一行填“无”) 看 demo。有两种情况是通不过验证的,姓名为空,或者姓名重复。

    已知问题是 input 的 popover 会被遮住,另外 input 的 icon 位置歪了。 前者需要 append-to-body,后者需要配合 cin 一起看看。

    4. Pull Request可能涉及到的组件范围(没有请在下一行填“无”)

    opened by tanbowensg 12
  • feature(dialog): 重构 dialog, 添加一些 dialog 使用例子

    feature(dialog): 重构 dialog, 添加一些 dialog 使用例子

    步骤一

    请您按照规范确认这个PR的类型:

    • [x] feature/fix/docs PR
    • [ ] hotfix PR
    • [ ] release PR

    步骤二

    完成以下内容的填写,您就可以顺利提交 Pull Request:

    **1. 填写Pull Reqeust主要针对的类型于下一行,选项有:

    feature

    2. Pull Request的简要介绍(请填于下一行)

    1. 重构了 dao-dialog,重构了 dao-alert (BREAKING CHANGE,API 变动, dialog 做了向后兼容)
    2. 去除掉内置 mutilstep dialog
    3. 写了一些 dialog 的推荐用法

    3. Pull Request针对问题的重现方式(没有请在下一行填“无”)

    4. Pull Request可能涉及到的组件范围(没有请在下一行填“无”)

    BREAKING CHANGE 
    opened by olivewind 11
  • feature(docs site): 使用 docsify 实现的文档站

    feature(docs site): 使用 docsify 实现的文档站

    步骤一

    请您按照规范确认这个PR的类型:

    • [x] feature/fix/docs PR

    步骤二

    完成以下内容的填写,您就可以顺利提交 Pull Request:

    1. 填写Pull Reqeust主要针对的类型于下一行,选项有:bug/feature(特性)/enhancement(增强)/docs(文档) feature

    2. Pull Request的简要介绍(请填于下一行)

    如何预览

    安装 docsify-cli

    npm i docsify-cli -g
    

    本地预览

    docsify serve docs
    

    网站简介

    文档站主要分为封面,文档页两部分

    封面

    封面内容通过 markdown 文件渲染,可以包含项目介绍、项目链接、自定义背景图片、logo等功能

    image

    文档

    文档页面分为左右两栏,左边为导航栏,右边为对应的文档内容

    image

    主要功能

    • 站内搜索功能(基于标题)
    • 文档编辑链接(跳转至Github对应文件)
    • 多级导航栏(通过标题自动生成,可设置级数)
    • demo展示 (直接在文档页内显示,包括对应的代码)

    docsify 的特点

    • 不需要编译,直接将 markdown 文件渲染成页面,可以和 docs/ 目录下的文档同步
    • 可以使用 Github Pages 功能部署页面 image
    • 可以定制主题、插件等扩展功能

    现在需要做什么

    1. 确定文档站还需要什么功能,目前的功能是否能接受,网站的风格。
    2. 确定好后可以开始将 example 页面中的内容转移到文档站中,需要多人合作。

    文档站相关内容

    3. Pull Request针对问题的重现方式(没有请在下一行填“无”)

    4. Pull Request可能涉及到的组件范围(没有请在下一行填“无”)

    opened by lewis-geek 11
  • fix(list-group): 修复 list-item 底部边框多出1像素的错误

    fix(list-group): 修复 list-item 底部边框多出1像素的错误

    步骤一

    请您按照规范确认这个PR的类型:

    • [x] feature/fix/docs PR

    步骤二

    完成以下内容的填写,您就可以顺利提交 Pull Request:

    1. 填写Pull Reqeust主要针对的类型于下一行,选项有:bug/feature(特性)/enhancement(增强)/docs(文档) bug

    2. Pull Request的简要介绍(请填于下一行)

    修改前 2017-08-02 2 44 40

    修改后 2017-08-02 2 45 09

    列表导航栏第一个项目底部边框多出一个像素

    3. Pull Request针对问题的重现方式(没有请在下一行填“无”)

    4. Pull Request可能涉及到的组件范围(没有请在下一行填“无”) list-group

    opened by lewis-geek 10
  • test(autocomplete): add unit test for autocomplete

    test(autocomplete): add unit test for autocomplete

    步骤一

    请您按照规范确认这个PR的类型:

    • [x] feature/fix/docs PR

    步骤二

    完成以下内容的填写,您就可以顺利提交 Pull Request:

    1. 填写Pull Reqeust主要针对的类型于下一行,选项有:bug/feature(特性)/enhancement(增强)/docs(文档) feature

    2. Pull Request的简要介绍(请填于下一行) 添加了autocomplete组件的单元测试, 这是issue https://github.com/DaoCloud/dao-style-vue/issues/145 的一部分。

    3. Pull Request针对问题的重现方式(没有请在下一行填“无”)

    4. Pull Request可能涉及到的组件范围(没有请在下一行填“无”) autocomplete

    opened by DomonJi 10
  • fix(some-inline-components): 统一去除一些行内组件的 vertical-align: middle 属性

    fix(some-inline-components): 统一去除一些行内组件的 vertical-align: middle 属性

    步骤一

    请您按照规范确认这个PR的类型:

    • [x] feature/fix/docs PR

    步骤二

    完成以下内容的填写,您就可以顺利提交 Pull Request:

    1. 填写Pull Reqeust主要针对的类型于下一行,选项有:bug/feature(特性)/enhancement(增强)/docs(文档) enhancement

    2. Pull Request的简要介绍(请填于下一行) 统一去除一些行内组件的 vertical-align: middle 属性 fixes https://github.com/DaoCloud/dao-style-vue/issues/198

    3. Pull Request针对问题的重现方式(没有请在下一行填“无”)

    4. Pull Request可能涉及到的组件范围(没有请在下一行填“无”) dao-button dao-input

    opened by mimoning 9
  • dialog 需要一个设置距离浏览器顶部高度的功能

    dialog 需要一个设置距离浏览器顶部高度的功能

    当 dialog 内容较少时,不适合居中显示。

    1.能重现问题的网络链接,(这是最直接有效的汇报问题的方式):

    (请粘贴您的命令显示结果)
    

    2.能体现问题的 Gif动图

    请在下面上传Gif动图:

    3.能重现问题 图片2017-07-07 9 43 23

    4.能重现问题的 浏览器类型与版本

    (请粘贴您的浏览器类型与版本结果)
    

    5.能重现问题的 操作系统名称与版本

    (请粘贴您的操作系统名称与版本结果)
    

    6.其他您认为有价值的信息:

    opened by lewis-geek 9
  • chore(deps-dev): bump vue-loader from 14.2.4 to 15.9.8

    chore(deps-dev): bump vue-loader from 14.2.4 to 15.9.8

    Bumps vue-loader from 14.2.4 to 15.9.8.

    Release notes

    Sourced from vue-loader's releases.

    v15.9.8

    Bug Fixes

    v15.9.7

    Bug Fixes

    • [plugin] Use compiler.webpack when possible (#1822) (f7ee30b), closes #1781
    • check for compiler.webpack existence (2472b2f)

    v15.9.6

    Bug Fixes

    • resourceQuery could be undefined in webpack 5 (a2b89d3), closes #1771

    v15.9.5

    Bug Fixes

    • ensure new webpack5 generator property in rules passes ruleset checks (#1753) (f79bb08), closes #1729
    • add rule plugins to keep up with webpack 5 new features (7ca8e2c)

    v15.9.4

    • fix id inconsistency between different operating systems (#1706) (afe8a0d)
    • fix mini-css-extract-plugin missing default export error (#1748) (429a284)

    v15.9.3

    Bug Fixes

    • (webpack 5) skip matching rule with 'enforce' (e7b2b11)

    v15.9.2

    Bug Fixes

    • fix getting shadow root when component is functional (#1560) (9a7357a)

    Documentation

    • add DocSearch as recommended by vuepress (#1662) (032d56b)

    v15.9.1

    Bug Fixes

    • ensure unique ident when cloning rules, fix webpack 5 compatibility (#1653) (84c34a4)

    v15.9.0

    Bug Fixes

    • add vue-template-compiler as an optional peer dependency (56db1d7), closes #1639

    ... (truncated)

    Changelog

    Sourced from vue-loader's changelog.

    15.9.8 (2021-08-02)

    Bug Fixes

    15.9.7 (2021-05-11)

    Bug Fixes

    • [plugin] Use compiler.webpack when possible (#1822) (f7ee30b), closes #1781
    • check for compiler.webpack existence (2472b2f)

    15.9.6 (2020-12-17)

    Bug Fixes

    • resourceQuery could be undefined in webpack 5 (a2b89d3), closes #1771

    15.9.5 (2020-11-02)

    Bug Fixes

    • add rule plugins to keep up with webpack 5 new features (7ca8e2c)
    • ensure new webpack5 generator property in rules passes ruleset checks (#1753) (f79bb08), closes #1729

    15.9.4 (2020-10-27)

    Bug Fixes

    • fix id differences between different operating systems (#1706) (afe8a0d)
    • fix mini-css-extract-plugin missing default export error (#1748) (429a284)

    ... (truncated)

    Commits

    Dependabot compatibility score

    Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


    Dependabot commands and options

    You can trigger Dependabot actions by commenting on this PR:

    • @dependabot rebase will rebase this PR
    • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
    • @dependabot merge will merge this PR after your CI passes on it
    • @dependabot squash and merge will squash and merge this PR after your CI passes on it
    • @dependabot cancel merge will cancel a previously requested merge and block automerging
    • @dependabot reopen will reopen this PR if it is closed
    • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
    • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
    • @dependabot use these labels will set the current labels as the default for future PRs for this repo and language
    • @dependabot use these reviewers will set the current reviewers as the default for future PRs for this repo and language
    • @dependabot use these assignees will set the current assignees as the default for future PRs for this repo and language
    • @dependabot use this milestone will set the current milestone as the default for future PRs for this repo and language
    • @dependabot badge me will comment on this PR with code to add a "Dependabot enabled" badge to your readme

    Additionally, you can set the following in your Dependabot dashboard:

    • Update frequency (including time of day and day of week)
    • Pull request limits (per update run and/or open at any time)
    • Automerge options (never/patch/minor, and dev/runtime dependencies)
    • Out-of-range updates (receive only lockfile updates, if desired)
    • Security updates (receive only security updates, if desired)
    dependencies 
    opened by dependabot-preview[bot] 0
  • chore(deps-dev): bump mocha from 3.5.3 to 9.0.3

    chore(deps-dev): bump mocha from 3.5.3 to 9.0.3

    Bumps mocha from 3.5.3 to 9.0.3.

    Release notes

    Sourced from mocha's releases.

    v9.0.3

    9.0.3 / 2021-07-25

    :bug: Fixes

    v9.0.2

    9.0.2 / 2021-07-03

    :bug: Fixes

    :nut_and_bolt: Other

    v9.0.1

    9.0.1 / 2021-06-18

    :nut_and_bolt: Other

    We added a separate browser bundle mocha-es2018.js in javascript ES2018, as we skipped the transpilation down to ES5. This is an experimental step towards freezing Mocha's support of IE11.

    v9.0.0

    9.0.0 / 2021-06-07

    :boom: Breaking Changes

    Mocha is going ESM-first! This means that it will now use ESM import(test_file) to load the test files, instead of the CommonJS require(test_file). This is not a problem, as import can also load most files that require does. In the rare cases where this fails, it will fallback to require(...). This ESM-first approach is the next step in Mocha's ESM migration, and allows ESM loaders to load and transform the test file.

    ... (truncated)

    Changelog

    Sourced from mocha's changelog.

    9.0.3 / 2021-07-25

    :bug: Fixes

    9.0.2 / 2021-07-03

    :bug: Fixes

    :nut_and_bolt: Other

    9.0.1 / 2021-06-18

    :nut_and_bolt: Other

    We added a separate browser bundle mocha-es2018.js in javascript ES2018, as we skipped the transpilation down to ES5. This is an experimental step towards freezing Mocha's support of IE11.

    9.0.0 / 2021-06-07

    :boom: Breaking Changes

    Mocha is going ESM-first! This means that it will now use ESM import(test_file) to load the test files, instead of the CommonJS require(test_file). This is not a problem, as import can also load most files that require does. In the rare cases where this fails, it will fallback to require(...). This ESM-first approach is the next step in Mocha's ESM migration, and allows ESM loaders to load and transform the test file.

    :tada: Enhancements

    ... (truncated)

    Commits
    • e044ef0 Release v9.0.3
    • 8907601 update CHANGELOG for v9.0.3 [ci skip]
    • 7313890 Fix exception rethrow from js config file (#4702)
    • 3722201 Fix: using custom interface in parallel mode (#4688)
    • 6830821 ESM: fix swallowing MODULE_NOT_FOUND errors in case of type:module (#4687)
    • 5c59da0 Release v9.0.2
    • 0ce3528 update CHANGELOG for v9.0.2 [ci skip]
    • ff51a77 Update production dependencies (#4674)
    • 21cda3e Make "-r <dir>" work with new import-first loading (#4668)
    • f033ff1 Fix: karma-mocha should run both browser bundles (#4663)
    • Additional commits viewable in compare view
    Maintainer changes

    This version was pushed to npm by juergba, a new releaser for mocha since your current version.


    Dependabot compatibility score

    Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


    Dependabot commands and options

    You can trigger Dependabot actions by commenting on this PR:

    • @dependabot rebase will rebase this PR
    • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
    • @dependabot merge will merge this PR after your CI passes on it
    • @dependabot squash and merge will squash and merge this PR after your CI passes on it
    • @dependabot cancel merge will cancel a previously requested merge and block automerging
    • @dependabot reopen will reopen this PR if it is closed
    • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
    • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
    • @dependabot use these labels will set the current labels as the default for future PRs for this repo and language
    • @dependabot use these reviewers will set the current reviewers as the default for future PRs for this repo and language
    • @dependabot use these assignees will set the current assignees as the default for future PRs for this repo and language
    • @dependabot use this milestone will set the current milestone as the default for future PRs for this repo and language
    • @dependabot badge me will comment on this PR with code to add a "Dependabot enabled" badge to your readme

    Additionally, you can set the following in your Dependabot dashboard:

    • Update frequency (including time of day and day of week)
    • Pull request limits (per update run and/or open at any time)
    • Automerge options (never/patch/minor, and dev/runtime dependencies)
    • Out-of-range updates (receive only lockfile updates, if desired)
    • Security updates (receive only security updates, if desired)
    dependencies 
    opened by dependabot-preview[bot] 0
  • chore(deps-dev): bump css-loader from 0.28.11 to 6.2.0

    chore(deps-dev): bump css-loader from 0.28.11 to 6.2.0

    Bumps css-loader from 0.28.11 to 6.2.0.

    Release notes

    Sourced from css-loader's releases.

    v6.2.0

    6.2.0 (2021-07-19)

    Features

    • allow the exportLocalsConvention option can be a function useful for named export (#1351) (3c4b357)

    v6.1.0

    6.1.0 (2021-07-17)

    Features

    Bug Fixes

    v6.0.0

    6.0.0 (2021-07-14)

    Notes

    • using ~ is deprecated when the esModules option is enabled (enabled by default) and can be removed from your code (we recommend it) (url(~package/image.png) -> url(package/image.png), @import url(~package/style.css) -> @import url(package/style.css), composes: import from '~package/one.css'; -> composes: import from 'package/one.css';), but we still support it for historical reasons. Why can you remove it? The loader will first try to resolve @import/url()/etc as relative, if it cannot be resolved, the loader will try to resolve @import/url()/etc inside node_modules or modules directories.
    • file-loader and url-loader are deprecated, please migrate on asset modules, since v6 css-loader is generating new URL(...) syntax, it enables by default built-in assets modules, i.e. type: 'asset' for all url()

    ⚠ BREAKING CHANGES

    • minimum supported Node.js version is 12.13.0
    • minimum supported webpack version is 5, we recommend to update to the latest version for better performance
    • for url and import options Function type was removed in favor Object type with the filter property, i.e. before { url: () => true }, now { url: { filter: () => true } } and before { import: () => true }, now { import: { filter: () => true } }
    • the modules.compileType option was removed in favor the modules.mode option with icss value, also the modules option can have icss string value
    • new URL() syntax used for url(), only when the esModules option is enabled (enabled by default), it means you can bundle CSS for libraries
    • data URI are handling in url(), it means you can register loaders for them, example
    • aliases with false value for url() now generate empty data URI (i.e. data:0,), only when the esModules option is enabled (enabled by default)
    • [ext] placeholder don't need . (dot) before for the localIdentName option, i.e. please change .[ext] on [ext] (no dot before)
    • [folder] placeholder was removed without replacement for the localIdentName option, please use a custom function if you need complex logic
    • [emoji] placeholder was removed without replacement for the localIdentName option, please use a custom function if you need complex logic
    • the localIdentHashPrefix was removed in favor the localIdentHashSalt option

    Features

    • supported resolve.byDependency.css resolve options for @import
    • supported resolve.byDependency.icss resolve CSS modules and ICSS imports (i.e. composes/etc)
    • added modules.localIdentHashFunction, modules.localIdentHashDigest, modules.localIdentHashDigestLength options for better class hashing controlling
    • less dependencies

    ... (truncated)

    Changelog

    Sourced from css-loader's changelog.

    6.2.0 (2021-07-19)

    Features

    • allow the exportLocalsConvention option can be a function useful for named export (#1351) (3c4b357)

    6.1.0 (2021-07-17)

    Features

    Bug Fixes

    6.0.0 (2021-07-14)

    Notes

    • using ~ is deprecated when the esModules option is enabled (enabled by default) and can be removed from your code (we recommend it) (url(~package/image.png) -> url(package/image.png), @import url(~package/style.css) -> @import url(package/style.css), composes: import from '~package/one.css'; -> composes: import from 'package/one.css';), but we still support it for historical reasons. Why can you remove it? The loader will first try to resolve @import/url()/etc as relative, if it cannot be resolved, the loader will try to resolve @import/url()/etc inside node_modules or modules directories.
    • file-loader and url-loader are deprecated, please migrate on asset modules, since v6 css-loader is generating new URL(...) syntax, it enables by default built-in assets modules, i.e. type: 'asset' for all url()

    ⚠ BREAKING CHANGES

    • minimum supported Node.js version is 12.13.0
    • minimum supported webpack version is 5, we recommend to update to the latest version for better performance
    • for url and import options Function type was removed in favor Object type with the filter property, i.e. before { url: () => true }, now { url: { filter: () => true } } and before { import: () => true }, now { import: { filter: () => true } }
    • the modules.compileType option was removed in favor the modules.mode option with icss value, also the modules option can have icss string value
    • new URL() syntax used for url(), only when the esModules option is enabled (enabled by default), it means you can bundle CSS for libraries
    • data URI are handling in url(), it means you can register loaders for them, example
    • aliases with false value for url() now generate empty data URI (i.e. data:0,), only when the esModules option is enabled (enabled by default)
    • [ext] placeholder don't need . (dot) before for the localIdentName option, i.e. please change .[ext] on [ext] (no dot before)
    • [folder] placeholder was removed without replacement for the localIdentName option, please use a custom function if you need complex logic
    • [emoji] placeholder was removed without replacement for the localIdentName option, please use a custom function if you need complex logic
    • the localIdentHashPrefix was removed in favor the localIdentHashSalt option

    Features

    • supported resolve.byDependency.css resolve options for @import
    • supported resolve.byDependency.icss resolve CSS modules and ICSS imports (i.e. composes/etc)
    • added modules.localIdentHashFunction, modules.localIdentHashDigest, modules.localIdentHashDigestLength options for better class hashing controlling
    • less dependencies

    Bug Fixes

    • better performance

    ... (truncated)

    Commits
    Maintainer changes

    This version was pushed to npm by evilebottnawi, a new releaser for css-loader since your current version.


    Dependabot compatibility score

    Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


    Dependabot commands and options

    You can trigger Dependabot actions by commenting on this PR:

    • @dependabot rebase will rebase this PR
    • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
    • @dependabot merge will merge this PR after your CI passes on it
    • @dependabot squash and merge will squash and merge this PR after your CI passes on it
    • @dependabot cancel merge will cancel a previously requested merge and block automerging
    • @dependabot reopen will reopen this PR if it is closed
    • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
    • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
    • @dependabot use these labels will set the current labels as the default for future PRs for this repo and language
    • @dependabot use these reviewers will set the current reviewers as the default for future PRs for this repo and language
    • @dependabot use these assignees will set the current assignees as the default for future PRs for this repo and language
    • @dependabot use this milestone will set the current milestone as the default for future PRs for this repo and language
    • @dependabot badge me will comment on this PR with code to add a "Dependabot enabled" badge to your readme

    Additionally, you can set the following in your Dependabot dashboard:

    • Update frequency (including time of day and day of week)
    • Pull request limits (per update run and/or open at any time)
    • Automerge options (never/patch/minor, and dev/runtime dependencies)
    • Out-of-range updates (receive only lockfile updates, if desired)
    • Security updates (receive only security updates, if desired)
    dependencies 
    opened by dependabot-preview[bot] 0
  • chore(deps-dev): bump copy-webpack-plugin from 4.6.0 to 9.0.1

    chore(deps-dev): bump copy-webpack-plugin from 4.6.0 to 9.0.1

    Bumps copy-webpack-plugin from 4.6.0 to 9.0.1.

    Release notes

    Sourced from copy-webpack-plugin's releases.

    v9.0.1

    9.0.1 (2021-06-25)

    Chore

    • update serialize-javascript

    v9.0.0

    9.0.0 (2021-05-21)

    ⚠ BREAKING CHANGES

    • minimum supported Node.js version is 12.13.0

    v8.1.1

    8.1.1 (2021-04-06)

    Bug Fixes

    v8.1.0

    8.1.0 (2021-03-22)

    Features

    v8.0.0

    ⚠ BREAKING CHANGES

    • logic for some placeholders was changed:
      • [hash] and [fullhash] works as in webpack (i.e. it is hash of build, not content hash of file), to migrate change [name].[hash].[ext] to [name].[contenthash][ext]
      • [ext] doesn't require . (dot) before, i.e. change [name].[ext] to [name][ext]
      • [<hashType>:contenthash:<digestType>:<length>] and [<hashType>:hash:<digestType>:<length>] is not supported anymore, you can use output.hashDigest, output.hashDigestLength and output.hashFunction options to setup it
      • [N] was removed in favor of using the to option as a function
      • [folder] was removed
      • [emoji] was removed

    Features

    v7.0.0

    7.0.0 (2020-12-10)

    ... (truncated)

    Changelog

    Sourced from copy-webpack-plugin's changelog.

    9.0.1 (2021-06-25)

    Chore

    • update serialize-javascript

    9.0.0 (2021-05-21)

    ⚠ BREAKING CHANGES

    • minimum supported Node.js version is 12.13.0

    8.1.1 (2021-04-06)

    Bug Fixes

    8.1.0 (2021-03-22)

    Features

    8.0.0 (2021-03-04)

    ⚠ BREAKING CHANGES

    • logic for some placeholders was changed:
      • [hash] and [fullhash] works as in webpack (i.e. it is hash of build, not content hash of file), to migrate change [name].[hash].[ext] to [name].[contenthash][ext]
      • [ext] doesn't require . (dot) before, i.e. change [name].[ext] to [name][ext]
      • [<hashType>:contenthash:<digestType>:<length>] and [<hashType>:hash:<digestType>:<length>] is not supported anymore, you can use output.hashDigest, output.hashDigestLength and output.hashFunction options to setup it
      • [N] was removed in favor of using the to option as a function
      • [folder] was removed
      • [emoji] was removed

    Features

    7.0.0 (2020-12-10)

    ⚠ BREAKING CHANGES

    • minimum supported webpack version is 5

    ... (truncated)

    Commits

    Dependabot compatibility score

    Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


    Dependabot commands and options

    You can trigger Dependabot actions by commenting on this PR:

    • @dependabot rebase will rebase this PR
    • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
    • @dependabot merge will merge this PR after your CI passes on it
    • @dependabot squash and merge will squash and merge this PR after your CI passes on it
    • @dependabot cancel merge will cancel a previously requested merge and block automerging
    • @dependabot reopen will reopen this PR if it is closed
    • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
    • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
    • @dependabot use these labels will set the current labels as the default for future PRs for this repo and language
    • @dependabot use these reviewers will set the current reviewers as the default for future PRs for this repo and language
    • @dependabot use these assignees will set the current assignees as the default for future PRs for this repo and language
    • @dependabot use this milestone will set the current milestone as the default for future PRs for this repo and language
    • @dependabot badge me will comment on this PR with code to add a "Dependabot enabled" badge to your readme

    Additionally, you can set the following in your Dependabot dashboard:

    • Update frequency (including time of day and day of week)
    • Pull request limits (per update run and/or open at any time)
    • Automerge options (never/patch/minor, and dev/runtime dependencies)
    • Out-of-range updates (receive only lockfile updates, if desired)
    • Security updates (receive only security updates, if desired)
    dependencies 
    opened by dependabot-preview[bot] 0
  • chore(deps-dev): bump svg-sprite-loader from 3.9.2 to 6.0.9

    chore(deps-dev): bump svg-sprite-loader from 3.9.2 to 6.0.9

    Bumps svg-sprite-loader from 3.9.2 to 6.0.9.

    Release notes

    Sourced from svg-sprite-loader's releases.

    v6.0.0

    Drop webpack-versions support which should help with the capability of webpack 5.

    v5.2.1

    No release notes provided.

    v5.1.1

    • Add support for webpack5
    • Accessibility fix

    v5.0.0

    Bug Fixes

    • pass proper context param to runtime generator (c084ec7), closes #186

    BREAKING CHANGES

    Possible breaks third-party runtime generators. Earlier context param was containing path to compilation root context, e.g. folder where webpack compilation occurs. This is wrong behaviour, because meaning of this param is a folder where svg image is located. So it was changed in this commit. If your custom runtime generator breaks after this update use loaderContext.rootContext option instead of context.

    v4.3.0

    Features

    • outputPath: add possibility to define output path (2c7eceb)

    v4.2.7

    Bug Fixes

    • move mask & clipPath elements outside symbol (ae70786), closes #325

    v4.2.6

    Bug Fixes

    v4.2.5

    Bug Fixes

    • refers to transpiled code in svg-baker-runtime (65ece05), closes #385

    v4.2.4

    Bug Fixes

    • don't create additional chunk for sprite (80ebfa3), closes #364

    v4.2.3

    Bug Fixes

    ... (truncated)

    Changelog

    Sourced from svg-sprite-loader's changelog.

    6.0.9 (2021-06-23)

    Bug Fixes

    • utils: force get-matched-rule-4 to use nearest webpack installation (#463) (dcaa65a)

    6.0.8 (2021-06-21)

    Bug Fixes

    • utils: fix: some options had no effect with webpack5 (#460) (839f878), closes #446

    6.0.7 (2021-05-28)

    Bug Fixes

    6.0.6 (2021-04-23)

    Bug Fixes

    • utils: use webpack object version if package can't be required (f4b82c2)

    6.0.5 (2021-04-10)

    Bug Fixes

    • utils: use moduleGraph in is-module-should-be-extracted.js (6099812)

    ... (truncated)

    Commits
    Maintainer changes

    This version was pushed to npm by d3x42, a new releaser for svg-sprite-loader since your current version.


    Dependabot compatibility score

    Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


    Dependabot commands and options

    You can trigger Dependabot actions by commenting on this PR:

    • @dependabot rebase will rebase this PR
    • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
    • @dependabot merge will merge this PR after your CI passes on it
    • @dependabot squash and merge will squash and merge this PR after your CI passes on it
    • @dependabot cancel merge will cancel a previously requested merge and block automerging
    • @dependabot reopen will reopen this PR if it is closed
    • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
    • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
    • @dependabot use these labels will set the current labels as the default for future PRs for this repo and language
    • @dependabot use these reviewers will set the current reviewers as the default for future PRs for this repo and language
    • @dependabot use these assignees will set the current assignees as the default for future PRs for this repo and language
    • @dependabot use this milestone will set the current milestone as the default for future PRs for this repo and language
    • @dependabot badge me will comment on this PR with code to add a "Dependabot enabled" badge to your readme

    Additionally, you can set the following in your Dependabot dashboard:

    • Update frequency (including time of day and day of week)
    • Pull request limits (per update run and/or open at any time)
    • Automerge options (never/patch/minor, and dev/runtime dependencies)
    • Out-of-range updates (receive only lockfile updates, if desired)
    • Security updates (receive only security updates, if desired)
    dependencies 
    opened by dependabot-preview[bot] 0
  • chore(deps-dev): bump karma from 1.7.1 to 6.3.4

    chore(deps-dev): bump karma from 1.7.1 to 6.3.4

    Bumps karma from 1.7.1 to 6.3.4.

    Release notes

    Sourced from karma's releases.

    v6.3.4

    6.3.4 (2021-06-14)

    Bug Fixes

    v6.3.3

    6.3.3 (2021-06-01)

    Bug Fixes

    v6.3.2

    6.3.2 (2021-03-29)

    Bug Fixes

    v6.3.1

    6.3.1 (2021-03-24)

    Bug Fixes

    • client: clearContext after complete sent (#3657) (c0962e3)

    v6.3.0

    6.3.0 (2021-03-23)

    Features

    • support asynchronous config.set() call in karma.conf.js (#3660) (4c9097a)

    v6.2.0

    6.2.0 (2021-03-10)

    Features

    • plugins: add support wildcard config for scoped package plugin (#3659) (39831b1)

    v6.1.2

    6.1.2 (2021-03-09)

    ... (truncated)

    Changelog

    Sourced from karma's changelog.

    6.3.4 (2021-06-14)

    Bug Fixes

    6.3.3 (2021-06-01)

    Bug Fixes

    6.3.2 (2021-03-29)

    Bug Fixes

    6.3.1 (2021-03-24)

    Bug Fixes

    • client: clearContext after complete sent (#3657) (c0962e3)

    6.3.0 (2021-03-23)

    Features

    • support asynchronous config.set() call in karma.conf.js (#3660) (4c9097a)

    6.2.0 (2021-03-10)

    Features

    • plugins: add support wildcard config for scoped package plugin (#3659) (39831b1)

    6.1.2 (2021-03-09)

    Bug Fixes

    ... (truncated)

    Commits
    • 2b71a3c chore(release): 6.3.4 [skip ci]
    • 36467a8 fix: bump production dependencies within SemVer ranges (#3682)
    • 943a6ac chore(release): 6.3.3 [skip ci]
    • f4aeac3 fix(server): clean up vestigial code from proxy (#3640)
    • 94cf15e docs: updates to the documentation to support new markdown renderer (#3672)
    • cc9420d chore: replace init scripts with a dependency on itself (#3674)
    • d0fad69 docs: add more information on config.preprocessor_priority (#3673)
    • 5176aff docs: Assorted link fixes (#3671)
    • 913682d chore(license): Update copyright notice to 2021 [ci skip] (#3667)
    • 267b477 chore(release): 6.3.2 [skip ci]
    • Additional commits viewable in compare view

    Dependabot compatibility score

    Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


    Dependabot commands and options

    You can trigger Dependabot actions by commenting on this PR:

    • @dependabot rebase will rebase this PR
    • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
    • @dependabot merge will merge this PR after your CI passes on it
    • @dependabot squash and merge will squash and merge this PR after your CI passes on it
    • @dependabot cancel merge will cancel a previously requested merge and block automerging
    • @dependabot reopen will reopen this PR if it is closed
    • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
    • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
    • @dependabot use these labels will set the current labels as the default for future PRs for this repo and language
    • @dependabot use these reviewers will set the current reviewers as the default for future PRs for this repo and language
    • @dependabot use these assignees will set the current assignees as the default for future PRs for this repo and language
    • @dependabot use this milestone will set the current milestone as the default for future PRs for this repo and language
    • @dependabot badge me will comment on this PR with code to add a "Dependabot enabled" badge to your readme

    Additionally, you can set the following in your Dependabot dashboard:

    • Update frequency (including time of day and day of week)
    • Pull request limits (per update run and/or open at any time)
    • Automerge options (never/patch/minor, and dev/runtime dependencies)
    • Out-of-range updates (receive only lockfile updates, if desired)
    • Security updates (receive only security updates, if desired)
    dependencies 
    opened by dependabot-preview[bot] 0
Releases(1.0.9-rc6)
Owner
DaoCloud.io
Shanghai DaoCloud Co,.Ltd
DaoCloud.io
Hippy is designed for developers to easily build cross-platform and high-performance awesome apps. 👏

Hippy is a cross-platform development framework, that aims to help developers write once, and run on multiple platforms(iOS, Android, Web, and so on). Hippy is quite friendly to Web developers, especially those who are familiar with React or Vue. With Hippy, developers can create the cross-platform app easily.

Tencent 7.2k Jan 4, 2023
Vue.js components implementation of Fundamental Library Styles guidelines. The library is aiming to provide a Vue.js implementation of the components designed in Fundamental Library Styles.

Fundamental Vue Description The fundamental-vue library is a set of Vue.js components built using Fundamental Library Styles. Fundamental Library for

SAP 188 Jan 1, 2023
A library of UI widgets built using Vue.js and TailwindCSS.

This library contains a set of UI widgets / components. They range from something as simple as a button, to as complex as a fully-featured Markdown-based text editor. Originally, these components were exclusively part of Lumeno's codebase, however they have since been extracted, extended and made available for open-source use.

Lumeno 73 Dec 21, 2022
A library of UI components built using Vue.js and TailwindCSS

Varnish This library contains a set of UI components. They range from something as simple as a button, to as complex as a fully-featured, Markdown-bas

Caneara 73 Dec 21, 2022
Vue3 ready components library built with love and care designed to integrate beautifully with Bulma CSS

Vue3-ui Vue3 ready components library built with love and care designed to integrate beautifully with Bulma CSS Documentation The full documentation f

null 50 Dec 7, 2022
A Vue 3 Component Library. Fairly Complete. Customizable Themes. Uses TypeScript. Not too Slow.

Naive UI A Vue 3 Component Library Fairly Complete, Customizable Themes, Uses TypeScript, Not too Slow Kinda Interesting English | 中文 Documentation ww

TuSimple 11.3k Jan 4, 2023
A Vue.js 2.0 universal responsive UI component library

A Vue.js 2.0 universal responsive UI component library.. ?? Only for study purposes, do not use in production Docs Home Page Storybook Getting Started

Osiris UI 36 May 4, 2021
A Vue 3 Component Library🖖

Unge - Means young in Danish Introduce ?? A component library based on Vue3 ?? Writen in .jsx | .vue && stylus Usage Install $ yarn add ungeui Import

null 54 Dec 30, 2022
An enterprise-level UI component library and front-end solution based on Vue.js 3

An enterprise-level UI component library and front-end solution based on Vue.js 3

View Design 187 Dec 31, 2022
A flexible {vue3 + TS} UI component library

Viewer-Design UI Viewer-Design - A customized UI Library ?? Vue 3.0 Composition API ?? Written in TypeScript Status: Beta This project is still under

null 24 Dec 16, 2022
🖖Element-ui-s is a interesting component library 🦄

??Element-ui-s is a interesting component library ??

null 33 Aug 24, 2022
MADE Vue - A library of Vue 3 UI Components

MADE Vue A library of Vue 3 UI Components. Support MADE Vue ♥ Projects like MADE Vue are built and maintained in spare time. If you find this project

MADE Apps 4 Oct 6, 2022
:diamonds: A modular and customizable UI library based on Material Design and Vue

BalmUI Next Generation Material UI for Vue.js Introduction BalmUI is a modular and customizable Material Design UI library for Vue.js. ?? NOW, balm-ui

BalmJS 428 Jan 4, 2023
N3-components , Powerful Vue UI Library.

N3-components - Powerful Vue Library. N3 components library is built with Vue.js, is a powerful library for frontend or full-stack engineers to build

null 1k Dec 17, 2022
Inkline is the customizable Vue.js UI/UX Library designed for creating flawless responsive websites.

Inkline Inkline is the customizable Vue.js UI/UX Library designed for creating flawless responsive websites. Inkline is written and maintained by @ale

Inkline 1.1k Jan 2, 2023
Inkline is the customizable Vue.js UI/UX Library designed for creating flawless responsive websites.

Inkline Inkline is the customizable Vue.js UI/UX Library designed for creating flawless responsive websites. Inkline is written and maintained by @ale

Inkline 1.1k Dec 30, 2022
Free and Open Source UI Library for Vue 3 🤘

Free and Open Source UI Library for Vue 3 ??

Epicmax 2k Jan 7, 2023
🧬Equal UI is a Vue 3 components library with 30+ components based on TypeScript and personal design system.

??Equal UI is a Vue 3 components library with 30+ components based on TypeScript and personal design system.

Yan Savinov 873 Jan 3, 2023
AnyUI - A cute UI components library for Vue 3

AnyUI This is a cute UI components library for Vue 3. IMPORTANT: This project is still working in progress. How to use Step 1: Install the @any-design

null 19 Jun 13, 2022